Products
Update a plan
Update an existing plan's details.
Authorization
Public key Secret key x-fngs-public-key<token>
In: header
x-fngs-secret-key<token>
In: header
Path Parameters
productId*string
PATCH /v0/products/:productId/plans/:planId/update Parameter
Format
uuidplanId*string
PATCH /v0/products/:productId/plans/:planId/update Parameter
Format
uuidRequest Body
application/json
PATCH /v0/products/:productId/plans/:planId/update Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v0/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/plans/497f6eca-6276-4993-bfeb-53cbbbba6f08/update" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "plan": { "object": "variant", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "internalId": null, "name": "", "description": "", "order": null } }}Add a plan to a product POST
Add a new subscription plan to an existing product. Plans are variants specifically for subscription products, typically representing different billing intervals or tiers.
Archive a plan PATCH
Archive (soft delete) a plan by its ID. Existing subscriptions on this plan continue. This action is reversible.